Create a new Session (not used)

- « MongoDB\Driver\Session::commitTransaction

- MongoDB\Driver\Session::endSession »

- PHP Manual
- MongoDB\Driver\Session
- Create a new Session (not used)

# MongoDB\Driver\Session::__construct

(mongodb >=1.4.0)

MongoDB\Driver\Session::__construct — Create a new Session (not used)

### Description

final private MongoDB\Driver\Session::__construct()

MongoDB\Driver\Session objects are returned by MongoDB\Driver\Manager::startSession() and cannot be constructed directly.

### Parameters

This function has no parameters.

### See Also

- MongoDB\Driver\Manager::startSession() - Start a new client session for use with this client